Post fees to given account
This operation will create a fee (transaction) given accountId
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/account/{accountId}/fee' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"amount": 1,
"currency": "EUR"
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/account/{accountId}/fee"
payload = {
"type": "<string>",
"amount": 1,
"currency": "EUR"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', amount: 1, currency: 'EUR'})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/account/{accountId}/fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "061-Usage Limit '24H_RETAIL' Amount Exceeded",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The account id to post fees to
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your newly created fee, these values will override the predefined template values
Response
Successful creation of the product
When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.
"061-Usage Limit '24H_RETAIL' Amount Exceeded"
Will contain the ID of the resource that has been created or updated
Was this page helpful?

